﻿body {
    padding-bottom: 1em;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
.helptext.alert.alert-info,
input,
.input-group,
select,
textarea,
.form-area {
    max-width: 280px;
}

.form-control {
    height: initial;
}

textarea {
    min-height: 50px;
    resize: vertical;
}

.form-group select
{
  width: 100%;
}

.form-input-container {
    display: block;
}

.form-input-container > button {
    vertical-align: top;
    height: 34px;
}

.form-input-container > button.btn-sm,
.form-input-container > button.btn-xs {
    height: inherit;
}

.form-control {
    display: inline-block;
}



.helptext-toggle {
    cursor: pointer;
}

.helptext {
    display: none; /* this is toggled on and off by user */
    margin: 2px 0 5px;
    padding: 5px 10px;
}



/* For Datatables */
.dataTables_wrapper {
    margin: 1em 0;
}

/* For crushed buttons in table cells */
td .btn {
    margin: 0 0 0.2em 0;
}

/* For site selection modal */
.site-selection-modal tr {
    cursor: pointer;
}

/* For range input sub form (used for stratification factor) */
.range-row {
    margin: 10px 0;
}

.range-row > div {
    display: inline-block;
    vertical-align: top;
    margin-right: 10px;
}

.range-row label {
    margin: 0 5px 0 0;
}

.range-input > * {
    display: inline-block;
    width: inherit;
} 

.range-container {
    margin-bottom: 10px;
}


.interval-container
{
  padding: 5px;
  background: #f9f9f9;
  border: 1px solid #eee;
  border-radius: 3px;
}

.interval-container > input {
 width: 300px;
}

.interval-container > button {
  margin: 10px 0 0 0;
}

.interval-container > *
{
  display: block;
}


.dashboard .panel .btn {
    white-space: normal; 
    max-width: 100%;
    text-align: left;
}